petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDSSetType

Builds a particular PetscDS

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSSetType(PetscDS prob, PetscDSType name)

Collective on prob

### Input Parameters

| prob | - The PetscDS object
| name | - The kind of system

### Options Database Key

-petscds_type <type> -Sets the PetscDS type; use -help for a list of available types

Not available from Fortran

### See Also

PetscDSGetType(), PetscDSCreate()

### Level

intermediate

### Location

src/dm/dt/interface/dtds.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages